import { FireEnjinTriggerInput } from "@fireenjin/sdk";
import { ComponentInterface, EventEmitter } from "../../../stencil-public-runtime";
export declare class AppHeader implements ComponentInterface {
  modal: HTMLIonModalElement;
  chipBarEl: HTMLFireenjinChipBarElement;
  reorder: boolean;
  fireenjinTrigger: EventEmitter<FireEnjinTriggerInput>;
  isDragging: boolean;
  dragOver(event: any): void;
  dragLeave(event: any): void;
  drag(event: any): void;
  drop(event: any): Promise<void>;
  openSupportModal(event: any): Promise<any>;
  render(): any;
}
